% Runscript for consequence analysis of a single contingency for a
% single operating state for Monte Carlo Simulation

function Ploss = contanalysis_singlecont_montecarlosim(h,mpc,dp_buses,mpopt,corrective_actions_data,contanalysis_settings)
%% Construct the contingency/outage list including only a single branch contingency
ol = [];
ol = add_to_ol(mpc,ol,h);

%% Run contingency analysis
[sac, lost_load] = contanalysis_singlecont(mpc,ol,corrective_actions_data,...
    dp_buses,mpopt,contanalysis_settings.ignore,contanalysis_settings.cont_verbose);

%% Returning the lost load
Ploss = lost_load;

end